Dragger File Reference
`#include <osgManipulator/Constraint>`
`#include <osgManipulator/Command>`
`#include <osg/BoundingSphere>`
`#include <osg/MatrixTransform>`
`#include <osgUtil/SceneView>`
`#include <osgGA/GUIEventAdapter>`
`#include <osgGA/GUIActionAdapter>`

Go to the source code of this file.

## Classes

class | osgManipulator::DraggerTransformCallback
class | osgManipulator::PointerInfo
class | osgManipulator::Dragger
class | osgManipulator::CompositeDragger

## Namespaces

namespace | osgManipulator

## Macros

#define | OSGMANIPULATOR_DRAGGER 1

## Functions

OSGMANIPULATOR_EXPORT void | osgManipulator::computeNodePathToRoot (osg::Node &node, osg::NodePath &np)
void OSGMANIPULATOR_EXPORT | osgManipulator::setDrawableToAlwaysCull (osg::Drawable &drawable)
void OSGMANIPULATOR_EXPORT | osgManipulator::setMaterialColor (const osg::Vec4 &color, osg::Node &node)

## Macro Definition Documentation

## OSGMANIPULATOR_DRAGGER

#define OSGMANIPULATOR_DRAGGER 1